Gtk_Item(3)

NAME - Gtk_Item

HEADER REQUIRED
#include <gtk--/item.h&gt;>

BASE CLASSES
Gtk_Bin(3)

DERIVED BY
Gtk_ListItem(3) Gtk_MenuItem(3) Gtk_TreeItem(3)

PUBLIC MEMBER INDEX
    Gtk_Item(GtkItem *castitem);
    signal void  select(BaseObjectType);
      Triggered when the item is selected
    signal void  deselect(BaseObjectType);
      Triggered when the item is deselected
    signal void  toggle(BaseObjectType);
      Triggered when the item is toggled
    GtkItem*  gtkobj();
    const GtkItem*  gtkobj() const;
    static bool  isGtkItem(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkItem  BaseObjectType;
    typedef GtkItemClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  select_impl();
    virtual void  deselect_impl();
    virtual void  toggle_impl();
    Gtk_Item();

PRIVATE MEMBER INDEX
    static CppClassType  item_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

Gtk_Item::Gtk_Item (GtkItem *castitem);
    This class can be considered as a virtual base class. Only the signals it provides are of any interest. You don't want to instantiate any objects of that class.

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS